Package org.eclipse.cdt.core.index

# Interface IIndexerStateListener

public interface IIndexerStateListener
An indexer state listener is notified of changes to the state of the indexer.

Clients may implement this interface.

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the CDT team.

Since:
  4.0

## Method Summary

Modifier and Type
Method
Description
`void`
`indexChanged(IIndexerStateEvent event)`
Notifies this listener that the state of the indexer has changed.

## Method Details

### indexChanged

void indexChanged(IIndexerStateEvent event)
Notifies this listener that the state of the indexer has changed.

The supplied event provides the details. This event object is valid only for the duration of the invocation of this method.

Note: This method is called by CDT; it is not intended to be called directly by clients.

Parameters:
  `event` - the indexer state event